
QGIS Application - Bug report #8222

Error after closing "Check geometry validity" dailog window

2013-07-05 04:36 AM - Engin Gem

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:1.8.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 17036

Description

After completing analysis, every time error occurs while trying to close dialog window.

----------------------------------------------------

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:\\PROGRA~2\\Quantum GIS Lisboa\\apps\\qgis\\python\\plugins\\fTools\\tools\\doValidate.py", line 102, in closeEvent

    QMainWindow.closeEvent(self, e)

TypeError: QMainWindow.closeEvent(QCloseEvent): first argument of unbound method must have type 'QMainWindow'

Python version:

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

QGIS version:

1.8.0-Lisboa Lisboa, f440b60

Python path: ['C:/PROGRA~2/Quantum GIS Lisboa/apps/qgis/./python', 'C:/Users/engin.gem.INTRA/.qgis//python',

'C:/Users/engin.gem.INTRA/.qgis//python/plugins', 'C:/PROGRA~2/Quantum GIS Lisboa/apps/qgis/./python/plugins',

'C:\\\\PROGRA~2\\\\Quantum GIS Lisboa\\\\bin\\\\python27.zip', 'C:\\\\PROGRA~2\\\\Quantum GIS Lisboa\\\\apps\\\\Python27\\\\DLLs',

'C:\\\\PROGRA~2\\\\Quantum GIS Lisboa\\\\apps\\\\Python27\\\\lib', 'C:\\\\PROGRA~2\\\\Quantum GIS

Lisboa\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\PROGRA~2\\\\Quantum GIS Lisboa\\\\apps\\\\Python27\\\\lib\\\\lib-tk',

'C:\\\\PROGRA~2\\\\Quantum GIS Lisboa\\\\apps\\\\qgis\\\\bin', 'C:\\\\PROGRA~2\\\\Quantum GIS Lisboa\\\\apps\\\\Python27',

'C:\\\\PROGRA~2\\\\Quantum GIS Lisboa\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'C:\\\\PROGRA~2\\\\Quantum GIS

Lisboa\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL', 'C:\\\\PROGRA~2\\\\Quantum GIS

Lisboa\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32', 'C:\\\\PROGRA~2\\\\Quantum GIS

Lisboa\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib', 'C:\\\\PROGRA~2\\\\Quantum GIS

Lisboa\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin', 'C:\\\\PROGRA~2\\\\Quantum GIS

Lisboa\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode', 'C:\\\\PROGRA~2\\\\Quantum GIS

Lisboa\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools']

History

#1 - 2013-07-05 04:05 PM - Giovanni Manghi

- Affected QGIS version changed from master to 1.8.0

- Status changed from Open to Feedback

- Category set to 44

There not much more left to do for qgis 1.8, please try QGIS master and report back if the issue persist. Thanks.

2025-04-27 1/2



#2 - 2013-07-13 03:55 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback.

#3 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
